Subject: Re: bug#64546: 30.0.50; [PATCH] Add support for explicitly-remote commands in Eshell

From: Michael Albinus <[email-masked]>
Date: Mon, 10 Jul 2023 19:38:02 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

>> This surprises me. I thought, that only "doas", "su" and "sudo" are
>> built-ins.
>
> Oops! Somehow, I got it into my head that we had an 'eshell/ssh'
> builtin, but that's not the case. I'll just remove this paragraph.

Thanks.

Since a while, I have the feeling we would need only 'doas' and 'sudo'
as built-in, in order to apply 'sudo COMMAND' or so. 'su' isn't needed,
it is equivalent to 'cd /su::'. But I don't know whether we shall remove
it; people might have adapted their workflow to use it.

Best regards, Michael.